=begin pod

=TITLE class X::Attribute::Undeclared

=SUBTITLE Compilation error due to an undeclared attribute

    class X::Attribute::Undeclared is X::Undeclared { }

Thrown when code refers to an attribute that has not been declared.

For example the code

    class A { method m { $!notthere } }

Produces the error

    Attribute $!notthere not declared in class A

=head1 Methods

=head2 method package-kind

Returns the kind of package the attribute was used in (for example C<class>,
C<grammar>)

=head2 method package-name

Returns the name of the package in which the offensive attribute reference
was performed.

=end pod
